Page MenuHomeFreeBSD

Update phabricator port
ClosedPublic

Authored by eadler on Jun 4 2015, 3:18 AM.

Details

Summary

this updates the phabricator port to the latest revision as of 2015-06-03.

Phabricator core moves at a fairly fast rate and upstream has already made breaking changes that result in old arcanist being broken.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

eadler updated this revision to Diff 5932.Jun 4 2015, 3:18 AM
eadler retitled this revision from to Update phabricator port.
eadler updated this object.
eadler edited the test plan for this revision. (Show Details)
eadler updated this object.Jun 4 2015, 3:19 AM
eadler added reviewers: grembo, koobs.
eadler updated this revision to Diff 5933.Jun 4 2015, 3:23 AM

add devel/arcanist

eadler updated this revision to Diff 5934.Jun 4 2015, 3:28 AM

add libphutil; update arcanist to include version number change

eadler added a subscriber: dim.Jun 4 2015, 3:32 AM
koobs requested changes to this revision.Jun 4 2015, 4:37 AM
koobs edited edge metadata.
koobs added inline comments.
devel/arcanist/Makefile
5 ↗(On Diff #5934)

devel php?

6 ↗(On Diff #5934)

Why doesn't Mk/bsd.php.mk set this like Python? Eg:

PKGNAMEPREFIX=${PYTHON_PKGNAMEPREFIX}

Might be a good opportunity to add the following to bsd.php.mk

PHP_PKGNAMEPREFIX=<whatever>
11 ↗(On Diff #5934)

Does a LICENSE_FILE exist in WRKSRC? If so add it here

devel/libphutil/Makefile
5 ↗(On Diff #5934)

devel php?

11 ↗(On Diff #5934)

LICENSE_FILE

devel/phabricator/Makefile
5 ↗(On Diff #5934)

devel php

9 ↗(On Diff #5934)

Upstream "short description" is:

Open source, software engineering platform
12 ↗(On Diff #5934)

LICENSE_FILE

This revision now requires changes to proceed.Jun 4 2015, 4:37 AM
koobs added a comment.Jun 4 2015, 4:38 AM

Also missing QA results:

  • poudriere
  • portlint

Please also update revision summary to include proposed commit log and itemized changes

eadler marked 6 inline comments as done.Jun 4 2015, 5:10 AM

I made some changes per your request

devel/arcanist/Makefile
5 ↗(On Diff #5934)

php is not a category

6 ↗(On Diff #5934)

I don't know but don't want to make this diff bigger than just updating / lint fixing the port.

11 ↗(On Diff #5934)

good point; added.

eadler updated this revision to Diff 5935.Jun 4 2015, 5:11 AM
eadler edited edge metadata.
eadler marked an inline comment as done.

per koobs

eadler updated this object.Jun 4 2015, 5:15 AM
eadler edited edge metadata.
koobs accepted this revision.Jun 4 2015, 5:15 AM
koobs edited edge metadata.

Changes LGTM. Can't 'approve' without QA results.

Over to you @eadler

This revision is now accepted and ready to land.Jun 4 2015, 5:15 AM
eadler added a comment.Jun 4 2015, 5:23 AM

@koobs, don't have poudrie results due to it being broken on my VM; portlint is basically clean (with some minor nits fixed in this diff)

eadler added a comment.Jun 4 2015, 5:36 AM

@grembo, any objections?

grembo accepted this revision.Jun 4 2015, 6:26 AM
grembo edited edge metadata.

Are there any specific features or is this "only" about staying current/compatibility like you stated in the summary section?

eadler requested a review of this revision.Jun 5 2015, 2:23 AM
eadler edited edge metadata.

@grembo, any objections?

eadler accepted this revision.Jun 5 2015, 2:25 AM
eadler added a reviewer: eadler.

woops, looks like I hit the wrong button; there are no new features in arcanist, its just about staying current. Phabricator changelog is too long to summarize though.

This revision is now accepted and ready to land.Jun 5 2015, 2:25 AM
This revision was automatically updated to reflect the committed changes.